Index: extensions/Autosize/js/Affiche_script.js
===================================================================
--- extensions/Autosize/js/Affiche_script.js	(revision 16682)
+++ extensions/Autosize/js/Affiche_script.js	(revision 16931)
@@ -2291,7 +2405,7 @@
         h1_top = jQuery(img).absoluteTop() - h1_top;
         h1_bottom = Obj_h - h1_top;
-        infos_img = { width: conf.width[i], height: conf.height[i] }; //origine 
+        infos_theMainImage = { width: conf.width[i], height: conf.height[i] }; //origine 
         img_rap = conf.rap[i];
-        if (infos_img.width > Obj_w) h1 = parseInt(Obj_w / img_rap);
+        if (infos_theMainImage.width > Obj_w) h1 = parseInt(Obj_w / img_rap);
         h1 -= h1_top;
         if (h1 > Obj_h - h1_top) {
@@ -2310,7 +2424,7 @@
           h1_top = jQuery(this).absoluteTop() - h1_top;
           h1_bottom = Obj_h - h1_top;
-          infos_img = { width: conf.width[i], height: conf.height[i] }; //origine 
+          infos_theMainImage = { width: conf.width[i], height: conf.height[i] }; //origine 
           img_rap = conf.rap[i];
-          if (infos_img.width > Obj_w) h1 = parseInt(Obj_w / img_rap);
+          if (infos_theMainImage.width > Obj_w) h1 = parseInt(Obj_w / img_rap);
           h1 -= h1_top;
           if (h1 > Obj_h - h1_top) {
@@ -2336,194 +2450,24 @@
 
   }
-  //===============================================
-  // Extend expression jQuery(":Autozise") ;
-  //===============================================
-  jQuery.extend(jQuery.expr[':'], {
-    // Nom du sélecteur personnalisé
-    Autosize: function (a) {
-      nd = a.nodeName;
-      n1 = a.className;
-      // personal_block
-      if (n1.match(RegExp("autosize", "gi"))) {
-        //   autosize = "MargeBasse:30px; ResizePicture:false"
-        infconf = jQuery(a).attr("autosize");
-        n1 = typeof infconf;
-        conf = { MargeBasse: 0, NoPicture: false }
-        if (n1 == "undefined") {
-
-        } else {
-          tableau = infconf.split(";");
-          for (var i = 0; i < tableau.length; i++) {
-            tableau2 = tableau[i].split(":");
-            conf[jQuery.trim(tableau2[0])] = jQuery.trim(tableau2[1]);
-          }
-          imgs = jQuery(a).find("img");
-          rap = new Array();
-          width = new Array();
-          height = new Array();
-          if (imgs.length > 0)
-            jQuery(imgs).each(function (i) {
-              img = jQuery(this);
-              rap.push((img.width() / img.height()));
-              width.push(img.width());
-              height.push(img.height());
-            });
-          else {
-            imgs = jQuery(a).children();
-            jQuery(imgs).each(function (i) {
-              if (this.height > 0) {
-                rap.push(this.width / this.height);
-                width.push(this.width);
-                height.push(this.height);
-              }
-              name = this.name;
-
-
-            });
-          }
-          conf['rap'] = rap;
-          conf['width'] = width;
-          conf['height'] = height;
-          List_autosize.push({ obj: a, conf: conf });
-          jQuery(a).css({ opacity: 0 });
-        }
-      }
-      //  Css = jQuery(a).getStyles(a);
-      return false;
-    }, // jQuery.Autosize
-    Set_Class: function (a) {
-      nd = a.nodeName;
-      if (nd == "DIV") {
-        XBrowserAddHandler(a, 'onpropertychange', onPropertyChange);
-        //jQuery(a).find("img:nth-child(1)").css("border","Solid 5px green");
-        img = jQuery(a).children("img");
-        if (img.length == 0) img = jQuery(a).find("a").children("img");
-        if (img.length > 0)
-          if (img.length == 1) {
-            if (img[0].src.match(RegExp(".png", "g")))
-              return;
-            // img[0].attachEvent('onpropertychange', onPropertyChange);
-            XBrowserAddHandler(img[0], 'onpropertychange', onPropertyChange);
-            jQuery(img).addClass("Image");
-            //jQuery(img).attr("autosize", "MargeBasse:0px; ResizePicture:true");
-          }
-      }
-    }  //jQuery().Set_Class
-
-
-  }); // Extend expression
-
-  /**************************************************
-  * TEST
-  **************************************************/
-
-  jQuery(document).ready(function () {
-  /*
-    var txtTestBox = document.getElementById('menubar');
-    XBrowserAddHandler(txtTestBox, 'propertychange', function () {
-      onPropertyChange(txtTestBox);
-  });
-   var txtTestBox2 = document.getElementById('imageInfos');
-   XBrowserAddHandler(txtTestBox2, 'propertychange', function () {
-      onPropertyChange(txtTestBox2);
-    });
-*/
-
-    /**/
-  /**************************************************
-  * XBrowserAddHandler
-  **************************************************/
-  function XBrowserAddHandler(target, eventName, handlerName) {
-    if (target.addEventListener)
-      target.addEventListener(eventName, handlerName, false);
-    else if (target.attachEvent)
-      target.attachEvent("on" + eventName, handlerName);
-    else
-      target["on" + eventName] = handlerName;
-
-    }
-
-    /**************************************************
-    *  onProperty
-    **************************************************/
-    function onPropertyChange(obj,e) {
-      if (!e && window.event)
-        e = window.event;
-      if (e)
-        keyCode = (window.Event) ? e.which : e.keyCode;     
-      var el = obj;
-      attributs = el.attributes;     
-      type_action = e.type;
-      style = "";
-      alt = "";
-      src = "";
-      if (attributs.id) id = attributs.id.value;
-      if (attributs.style) style = attributs.style.value;
-      if (attributs.alt) alt = attributs.alt.value;
-      /* Image */
-      if (attributs.src) {
-        src = attributs.src.value;
-        if (attributs.width) width = attributs.width.value;
-        if (attributs.height) height = attributs.height.value;
-      }
-      affiche_debug({
-        Debug1: Debug_info(1, type_action + " : " + src, id + " action ")
-
-      });
-
-
-      if (style)
-        switch (style) {
-        case "style.opacity":
-
-          break;
-        case "style.transform":
-
-          break;
-        case "style.display":
-
-          break;
-        case "style.color":
-
-          break;
-        case "style.width":
-          width = el.style.width;
-          break;
-        case "style.height":
-          height = el.style.height;
-          break;
-
-        case 'width':
-
-          break;
-        case 'height':
-
-          el.style.height = el.attributes.height.nodeValue + 'px';
-          el.firstChild.style.height = el.clientHeight + 'px';
-          break;
-  }
-    }
-
-
-    /**************************************************
-    * TEST
-    **************************************************/
-
-  });
-
-  /********************************************************
-  * List_autosize_resize
-  ********************************************************/
-  function List_autosize_resize(event, ui) {
-    if (typeof wait_resize == "undefined") wait_resize = false;
-    if (wait_resize == true) return;
-    wait_resize = true;
-    if (List_autosize.length == 0) return;
-    for (i = 0; i < List_autosize.length; i++) {
-      Autosize_resize(jQuery(List_autosize[i]));
-    }
-    wait_resize = false;
-    return true;
-  }
+ 
+
+    /********************************************************
+    * List_autosize_resize
+    ********************************************************/
+    function List_autosize_resize(event, ui) {
+      if (typeof wait_resize == "undefined") wait_resize = false;
+      if (wait_resize == true) return;
+      wait_resize = true;
+      if (List_autosize.length == 0) return;
+      for (i = 0; i < List_autosize.length; i++) {
+        Autosize_resize(jQuery(List_autosize[i]));
+      }
+      wait_resize = false;
+      return true;
+    }
+
+
+
+
 
   /**/
Index: extensions/Autosize/js/autosize.cookie.js
===================================================================
--- extensions/Autosize/js/autosize.cookie.js	(revision 16682)
+++ extensions/Autosize/js/autosize.cookie.js	(revision 16931)
@@ -95,11 +95,6 @@
     }
     };
-
-    if (jQuery.cookie('picture-menu') == 'visible') {
-      jQuery("head").append("<style type=\"text/css\">#content.contentWithMenu, #the_page > .content {margin-left:240px;}</style>");
-    } else {
-      jQuery("head").append("<style type=\"text/css\">#the_page #menubar {display:none;} #content.contentWithMenu, #the_page > .content {margin-left:35px;}</style>");
-    }
- 
+   
+
     function hideMenu(delay) {
       var menubar = jQuery("#menubar");
@@ -160,8 +155,9 @@
 
       // side-menu show/hide
+      
 
       var sidemenu = jQuery.cookie('picture-menu');
       var menubar = jQuery("#menubar");
-
+return;
       if (menubar.length == 1) {
 
Index: extensions/Autosize/js/autosize.dimensions.js
===================================================================
--- extensions/Autosize/js/autosize.dimensions.js	(revision 16682)
+++ extensions/Autosize/js/autosize.dimensions.js	(revision 16931)
@@ -33,5 +33,5 @@
             options = options || false;
             options = jQuery.extend({ margin: options });
-
+            Maxi_val = this.parent().width();
             var val = this.is(':visible') ? this[0]['offset' + name] :
                     num(this,
@@ -118,4 +118,5 @@
       myposition = "";
       results = {
+        visible:false ,
         position: "",
         top: 0,
@@ -127,5 +128,37 @@
         borderwidth: borderwidth,
         padding: padding,
-        margin: margin, id: "", nodeName: ""
+        margin: margin,
+
+        out: {
+          width: 0,
+          height: 0,
+          right: 0,
+          bottom: 0
+        },
+       
+        exterieur: {
+          width: 0,
+          height: 0,
+          right: 0,
+          bottom: 0
+        },
+    
+        general: {
+          width: 0,
+          height: 0,
+          right: 0,
+          bottom: 0,
+          marges: { height:0,
+                    top: 0,
+                    bottom: 0,
+                    width: 0,
+                    left: 0,
+                    right: 0
+                    }
+                },
+        src:"",
+        useMap : "" ,
+        id: "",
+        nodeName: ""
       };
       ;
@@ -150,5 +183,5 @@
           out_width = jQuery(elem).outerWidth();
           out_height = jQuery(elem).outerHeight();
-          elem_parent =elem.parentElement;
+          elem_parent = elem.parentElement;
           if (typeof elem_parent == "undefined") {
             elem_parent = window;
@@ -207,6 +240,8 @@
         Top = Cl_Position.top;
 
-       visible= jQuery(elem).is(':visible');
-        results = {src: elem.src || "none",
+        visible = jQuery(elem).is(':visible');
+        results = { 
+          useMap : elem.useMap || "none",
+          src: elem.src || "none",
           visible: visible || false,
           position: myposition,
@@ -239,15 +274,28 @@
             right: Left + out_width + margin.left + margin.right,
             bottom: Top + out_height + margin.top + margin.bottom,
-            marges: { height: margin.top + borderwidth.top + padding.top +
-                              margin.bottom + borderwidth.bottom + padding.bottom,
-              top: margin.top + borderwidth.top + padding.top,
-              bottom: margin.bottom + borderwidth.bottom + padding.bottom,
-              width: margin.left + borderwidth.left + padding.left +
-                              margin.right + borderwidth.right + padding.right,
-              left: margin.left + borderwidth.left + padding.left,
-              right: margin.right + borderwidth.right + padding.right
-            }
-
-
+            marges: { height: margin.top +
+                      borderwidth.top +
+                      padding.top +
+                      margin.bottom + borderwidth.bottom +
+                      padding.bottom,
+                      top:  margin.top +
+                            borderwidth.top +
+                            padding.top,
+                      bottom: margin.bottom +
+                       borderwidth.bottom +
+                        padding.bottom,
+                      width:  margin.left +
+                              borderwidth.left +
+                              padding.left +
+                              margin.right +
+                              borderwidth.right +
+                              padding.right,
+                      left: margin.left +
+                            borderwidth.left +
+                            padding.left,
+                      right: margin.right +
+                             borderwidth.right +
+                             padding.right
+                    }
           },
           id: id,
@@ -311,18 +359,18 @@
       var element = jQuery(elt).get(0);
       propriete = [];
-      try{
-      if (jQuery(element).length > 0)
-      if (window.getComputedStyle) // Mozilla Firefox & cie
-      {
-        var propriete = window.getComputedStyle(element, null);
-      }
-      else if (element.currentStyle) // Microsoft Internet Explorer
-      {
-
-        var propriete = element.currentStyle;
-      }
-        }catch(e){
-
-        }
+      try {
+        if (jQuery(element).length > 0)
+          if (window.getComputedStyle) // Mozilla Firefox & cie
+          {
+            var propriete = window.getComputedStyle(element, null);
+          }
+          else if (element.currentStyle) // Microsoft Internet Explorer
+          {
+
+            var propriete = element.currentStyle;
+          }
+      } catch (e) {
+
+      }
       return propriete;
     },
@@ -334,49 +382,49 @@
 
   /**************************
-    * Get_val_int
-    * params: element,valeur maxi
-    * return: valeur entiere
+  * Get_val_int
+  * params: element,valeur maxi
+  * return: valeur entiere
   ******************************/
   Get_Val_int = function (myObj, Maxi_val, Mini_val, prop) {
 
-      var val = 0;
-      Maxi_val = parseInt(Maxi_val || "0");
-
-      /*
-      - numérique suivie de px ou % ou pt ou em, 
-      - thin, bordure mince, 
-      - medium, bordure moyenne (valeur par défaut), 
-      - thick, bordure épaisse, 
-      - inherit, hérite de son parent (css2).
-      */
-
-      if (!myObj) {
+    var val = 0;
+    Maxi_val = parseInt(Maxi_val || "0");
+
+    /*
+    - numérique suivie de px ou % ou pt ou em, 
+    - thin, bordure mince, 
+    - medium, bordure moyenne (valeur par défaut), 
+    - thick, bordure épaisse, 
+    - inherit, hérite de son parent (css2).
+    */
+
+    if (!myObj) {
+      return Maxi_val;
+    }
+
+    if (typeof (myObj) == "string") {
+      switch (myObj) {
+        case 'thin':
+          return 1;
+          break;
+        case 'medium':
+          return 2;
+          break;
+        case 'thick':
+          return 4;
+          break;
+        case 'inherit':
+          break;
+        case 'none':
+          return Maxi_val;
+          break;
+        default:
+          break;
+      }
+
+      var reg1 = new RegExp("auto", "g");
+      if (myObj.match(reg1)) {
         return Maxi_val;
       }
-
-      if (typeof (myObj) == "string") {
-        switch (myObj) {
-          case 'thin':
-            return 1;
-            break;
-          case 'medium':
-            return 2;
-            break;
-          case 'thick':
-            return 4;
-            break;
-          case 'inherit':
-            break;
-          case 'none':
-            return Maxi_val;
-            break;
-          default:
-            break;
-        }
-
-        var reg1 = new RegExp("auto", "g");
-        if (myObj.match(reg1)) {
-          return Maxi_val;
-        }
 
       if (prop) {
@@ -384,30 +432,30 @@
         myObj = num(prop.elem, prop.prop);
       } else {
-          reg1 = new RegExp("px", "g");
+        reg1 = new RegExp("px", "g");
+        if (myObj.match(reg1)) {
+
+          myObj = Parse_Int(myObj);
+
+        } else {
+          reg1 = new RegExp("%", "g");
           if (myObj.match(reg1)) {
-
-          myObj = Parse_Int(myObj);
-
-          } else {
-            reg1 = new RegExp("%", "g");
-            if (myObj.match(reg1)) {
-              myObj = myObj.replace(reg1, "");
-              val = Math.ceil(myObj * Maxi_val / 100);
-              return val;
-            }
+            myObj = myObj.replace(reg1, "");
+            val = Math.ceil(myObj * Maxi_val / 100);
+            return val;
           }
         }
-        if (Mini_val)
-          if (myObj < Mini_val) return Maxi_val;
+      }
+      if (Mini_val)
+        if (myObj < Mini_val) return Maxi_val;
       val = Parse_Int(myObj);
 
-      } else {
+    } else {
       val = Parse_Int(myObj);
-      }
+    }
     if (typeof (val) == "NaN")
       return Maxi_val;
-      return val;
-
-    }
+    return val;
+
+  }
 
   /*
@@ -415,13 +463,16 @@
   */
   function Parse_Int(valeur_num) {
-  if (!jQuery.isNumeric(valeur_num)){
-    valeur_num = valeur_num.toString();
-    reg1 = new RegExp("px", "gi");
-    if (valeur_num.match(reg1)) {
+    if (!jQuery.isNumeric(valeur_num)) {
+      valeur_num = valeur_num.toString();
+      reg1 = new RegExp("px", "gi");
+      if (valeur_num.match(reg1)) {
         valeur_num = valeur_num.replace(reg1, "");
-    } else {
+      } if (valeur_num.match(RegExp("%", "gi"))) {
         valeur_num = valeur_num.replace(reg1, "");
+        valeur_num = Math.ceil(valeur_num * Maxi_val / 100);
+      } else {
+        valeur_num = valeur_num.replace(reg1, "");
+      }
     }
-   }
     valeur_num = Math.ceil(valeur_num);
     return valeur_num || 0;
@@ -434,6 +485,6 @@
   };
 
-  myjQuery = jQuery;
-  my$ = $;
+ // myjQuery = jQuery;
+ // my$ = $;
 
 })(jQuery);
Index: extensions/Autosize/js/conflit.js
===================================================================
--- extensions/Autosize/js/conflit.js	(revision 16682)
+++ extensions/Autosize/js/conflit.js	(revision 16931)
@@ -174,43 +174,6 @@
     function (jQuery) {
       jQuery(window).load(function () {
-       
-        //============================================================
-        if (jQuery("#check_auto_w").length > 0) {
-          var cl_visible = jQuery("#check_auto_w").get(0).checked;
-          if (!cl_visible) {
-            jQuery("#table0 :text[name*='_width'] ").hide();
-          } else {
-            jQuery("#table0 :text[name*='_width']    ").show();
-          }
-        }
         //==============================================================
-        jQuery("input").click(function () {
-          if (this.name.match(RegExp("_enabled", "gi"))) {
-            sel = "[name*=" + this.name + "]";
-            obj = jQuery("tr" + sel);
-
-            if (this.checked)
-              obj.css({ backgroundColor: "green", color: "white" });
-            else
-              obj.css({ backgroundColor: "red", color: "white" });
-
-            return;
-          }
-
-          if (this.name != "check_auto_w") return;
-
-          cl_visible = this.checked
-          if (!cl_visible) {
-            jQuery("#table0 :text[name*='_width'] ").hide();
-          } else {
-            jQuery("#table0 :text[name*='_width'] ").show();
-          }
-
-          return;
-
-
-
-
-        });
+
         jQuery("#icon_gmaps").bind('click', function () {
           //jQuery("#iGMapsIconContent").dialog("open");
Index: extensions/Autosize/main.inc.php
===================================================================
--- extensions/Autosize/main.inc.php	(revision 16682)
+++ extensions/Autosize/main.inc.php	(revision 16931)
@@ -34,7 +34,11 @@
 add_event_handler('get_admin_plugin_menu_links', array(&$autosize_controler,'cl_autosize_admin')  );
 
-add_event_handler('loc_after_page_header', array(&$autosize_controler, 'cl_autosize_script_1'),  EVENT_HANDLER_PRIORITY_NEUTRAL+20  );	
+// add_event_handler('loc_after_page_header', array(&$autosize_controler, 'cl_autosize_script_1'),  EVENT_HANDLER_PRIORITY_NEUTRAL+20  );	
+
 add_event_handler('loc_after_page_header', array(&$autosize_controler, 'cl_autosize_affiche'), EVENT_HANDLER_PRIORITY_NEUTRAL+21  );
 
 add_event_handler('loc_end_page_tail',array(&$autosize_controler, 'cl_autosize_script_2'),  EVENT_HANDLER_PRIORITY_NEUTRAL );
+
+
+
 ?>
